﻿using COA.EnterpriseServices.DataAccess.Entities;
using COA.EnterpriseServices.DataAccess.Helpers;

namespace COA.EnterpriseServices.Sandbox
{
    internal class Program
    {
        private static void Main(string[] args)
        {
            var creditorHelper = new CreditorHelper();

            // get single creditor
            var singleCreditor = creditorHelper.GetCreditor(1);

            // search creditors
            var searchedCreditors = creditorHelper.FindCreditorsByName("Guy");

            // search active creditors 
            var activeCreditors = creditorHelper.FindByStatus("Active");

            var newCreditor = new Creditor
            {
                ClientFirstName = "New",
                ClientLastName = "Guy",
                Status = "Active"
            };

            creditorHelper.AddCreditor(newCreditor);
        }


    }
}
